<?php
require_once("../includes/bootstrap.php");
if (!headers_sent())
    ob_start("ob_gzhandler");
$sesion = new sesion(); // inicio la sesion
$sesion->set('permiso', permisos($_POST['privilegio']));
$permisos = str_split($sesion->get('permiso'));
//$academia=bootstrap::initBd($sesion->get('anio'));
?>

<script  type="text/javascript">
    $(document).ready(function() {
        var grilla;
        var modulo = "mod_finaliza_grupos/";
        function imgFormat(cellvalue, options, rowObject) {
            if (cellvalue == 0) {
                return '<img src="images/activo.png" cod="0" title="Abierto"/>';
            } else {
                return '<img src="images/inactivo.png" cod="1" title="Cerrado" />';
            }
        }
        function imgUnFormat(cellvalue, options, obj) {
            return $("img", obj).attr('cod');
        }
        grilla = jQuery("#listado_estudiantes").jqGrid({
            height: 430,
            width: 765,
            url: modulo + "list_grupos.php",
            datatype: "json",
            hidegrid: false,
            multiselect: true,
            rowNum: 1300,
            rowList: [15, 30, 50],
            pgbutton: false,
            pginput: false,
            viewrecords: true,
            scrollrows: true,
            caption: '<?php echo "Listado de grupos activos" ?>',
            toolbar: [true, "top"],
            grouping: true,
            groupingView: {
                groupField: ["sede"],
                groupCollapse: true,
                groupText: ['<b>{0} - {1} Grupos</b>'],
            },
            colNames: [
                '<?php echo $dtsLang['reportes']['lbl_rep_sede'] ?>',
                '<?php echo $dtsLang['reportes']['lbl_rep_jornada'] ?>',
                '<?php echo $dtsLang['reportes']['lbl_rep_grado'] ?>',
                '<?php echo $dtsLang['reportes']['lbl_rep_grupo'] ?>',
                '<?php echo $dtsLang['reportes']['lbl_num_estudiantes'] ?>',
                '<?php echo $dtsLang['reportes']['lbl_estado'] ?>',
                ''
            ],
            colModel: [
                {name: 'sede', index: 'sede', resizable: false, width: 200},
                {name: 'jornada', index: 'jornada', width: 100, searchoptions: {searchhidden: true}},
                {name: 'grado', index: 'grado', resizable: false, width: 160},
                {name: 'grupo', index: 'grupo', resizable: false, width: 60, search: false},
                {name: 'numero', index: 'numero', resizable: false, width: 100, align: 'center', search: false, sorttype: 'integer', formatter: 'integer'},
                {name: 'estado', index: 'estado', resizable: false, width: 65, align: 'center', search: false, sorttype: 'integer', formatter: 'integer', formatter:imgFormat, unformat: imgUnFormat},
                {name: 'napro', index: 'napro', resizable: false, width: 65, align: 'center', hidden: true}

            ],
            shrinkToFit: false,
            loadComplete: function(data) {
                grilla.setGridParam({datatype: 'local', data: grilla.getRowData()});
                $("#cb_listado_estudiantes").hide();
            },
            beforeSelectRow: function(rowid, es) {
                var dt = grilla.getRowData(rowid)
                if (dt.napro > 0) {
                    jAlert('Hay estudiantes que aun no se les ha determinado el estado', '<?php echo $dtsLang['project']['empresa']; ?>', 'error');

                    $("#jqg_listado_estudiantes_" + rowid).removeAttr("checked")
                    return false;
                }
                return true;
            }
        });
<?php if (in_array("M", $permisos)) { ?>        
        coloca_boton({
            id: 'boton_terminar',
            elem: 't_listado_estudiantes',
            buttonicon: 'icon-excel',
            title: 'Finalizar grupos',
            caption: 'Finalizar grupos',
            onClickButton: function() {
                var gruposel = (grilla.getGridParam("selarrrow"));
                if (gruposel.length > 0) {
                    $.ajax({
                        url: modulo + 'opera_fingrupos.php',
                        dataType: "json",
                        type: "POST",
                        data: {oper: 'fn', gr: gruposel.join("|")},
                        beforeSend: function() {
                            jProgresbar('Guardando información en el sistema', dtsLang.globals.tit_msg_espere);
                        },
                        success: function(rta) {
                            jPbarClose();
                            if (!$.validaErrorRta(rta.error, modulo, null)) {
                                notifica_ok("<?php echo $dtsLang['mod_fin_grupos']['msg_ok_fin']; ?>")
                            }
                            $.each(gruposel,function(i,v){
                               grilla.setCell(v,"estado",1); 
                            });
                        }
                    });
                } else {
                    jAlert('<?php echo $dtsLang['mod_fin_grupos']['selrec']; ?>', '<?php echo $dtsLang['project']['empresa']; ?>');
                }
            }
        });
        coloca_boton({
            id: 'boton_iniciar',
            elem: 't_listado_estudiantes',
            buttonicon: 'icon-excel',
            title: 'Iniciar grupos',
            caption: 'Iniciar grupos',
            onClickButton: function() {
                var gruposel = (grilla.getGridParam("selarrrow"));
                if (gruposel.length > 0) {
                    $.ajax({
                        url: modulo + 'opera_fingrupos.php',
                        dataType: "json",
                        type: "POST",
                        data: {oper: 'ac', gr: gruposel.join("|")},
                        beforeSend: function() {
                            jProgresbar('Guardando información en el sistema', dtsLang.globals.tit_msg_espere);
                        },
                        success: function(rta) {
                            jPbarClose();
                            if (!$.validaErrorRta(rta.error, modulo, null)) {
                                notifica_ok("<?php echo $dtsLang['mod_fin_grupos']['msg_ok_fin']; ?>");
                            }
                            $.each(gruposel,function(i,v){
                               grilla.setCell(v,"estado",0); 
                            });
                        }
                    });
                } else {
                    jAlert('<?php echo $dtsLang['mod_fin_grupos']['selrec']; ?>', '<?php echo $dtsLang['project']['empresa']; ?>');
                }
            }
        });
<?php } ?>
        $("#help_listado_estudiantes").append('Agrupar por: <select id="chngroup" class="campos" > <option value="sede">Sedes</option> <option value="jornada">Jornadas</option> <option value="grado">Grados</option> </select>');

        $("#chngroup").change(function() {
            var vl = $(this).val();
            if (vl) {
                if (vl == "clear") {
                    grilla.jqGrid('groupingRemove', true);
                }
                else
                {
                    grilla.jqGrid('groupingGroupBy', vl);
                }
            }
        });

    });
</script>

<table id="listado_estudiantes"></table>